package com.bcxin.event.core;

public class KafkaConstants {
    /**
     * 不可以等于33; 否则很多取值都是为0
     */
    public static final int DEFAULT_PARTITION_COUNT = 3;
    public static final int DEFAULT_REPLICA_COUNT = 1;

    public static final String DTQ_JDBC_CONSUMER_TOPIC="jdbc_consumer_error";

    public static String getSyncTopic(String originalTopic) {
        return String.format("sync.%s", originalTopic);
    }

    public static String getDtqTopic(String topicName) {
        return String.format("dtq.sync.%s", topicName);
    }

    public static int getCalculableHashValue(int hasCode) {
        hasCode = Math.abs(hasCode);
        for (int index = 0; index < 5 && hasCode > 9999; index++) {
            hasCode = Math.floorDiv(hasCode, 100);
        }


        return hasCode;
    }
}
