package com.bcxin.event.core;

import lombok.Getter;

@Getter
public class SuperviseDepartLevelDTO {

    /**
     * 区域编码： 比如: 北京是110
     */
    private final String regionId;

    /**
     * ITEM_CODE对应的是Supervise_Depart_Id
     */
    private final String code;

    public SuperviseDepartLevelDTO(String regionId, String code) {
        this.regionId = regionId;
        this.code = code;
    }

    public static SuperviseDepartLevelDTO create(String code,String regionId) {
        SuperviseDepartLevelDTO departLevel = new SuperviseDepartLevelDTO(regionId, code);

        return departLevel;
    }
}
