package com.bcxin.event.core.definitions;

import lombok.Data;

@Data
public class JdbcDefinition extends SinkFunctionDefinitionAbstract {
    /**
     * 可空; 如果为空,则表明:该数据是直接来自终端客户配置的, 而不是通过jdbcId来设置
     */
    private Long jdbcId;
    private String name;
    private String url;
    private String username;
    private String password;
    private String tableName;
    private String connectionTimeZone;
    private String driveClass;

    private String sqlTemplate;

    public void change(String name,String url,String username,String password,String connectionTimeZone,String driveClass) {
        this.setName(name);
        this.setUrl(url);
        this.setUsername(username);
        this.setPassword(password);
        this.setConnectionTimeZone(connectionTimeZone);
        this.setDriveClass(driveClass);
    }
}
