package com.bcxin.event.core.repositories;

import com.bcxin.event.core.entities.Aggregate;
import com.bcxin.event.core.entities.EntityAbstract;

import java.util.Collection;

public interface Repository<TK,T extends Aggregate> {
    void create(T entity);

    void update(T entity);

    void delete(TK id);

    T getById(TK id);

    Collection<T> findAll();
}
